Package twisted :: Package protocols :: Module pop3 :: Class POP3

[show private | hide private]
[frames | no frames]

## Class POP3

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          POP3

Known Subclasses:
  `VirtualPOP3`

Method Summary
| `authenticateUserAPOP(self, user, digest)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `do_APOP(self, user, digest)`
| `do_DELE(self, i)`
| `do_LIST(self, i)`
| ``do_NOOP`(self)` Perform no operation.
| `do_QUIT(self)`
| `do_RETR(self, i)`
| ``do_RSET`(self)` Unset all deleted message flags
| `do_STAT(self)`
| `do_TOP(self, i, size)`
| `do_UIDL(self, i)`
| `failResponse(self, message)`
| `getMessageFile(self, i)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| `processCommand(self, command, *args)`
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)
| `successResponse(self, message)`

Class Variable Summary
`None` | `magic`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### do_NOOP(self)

Perform no operation. Return a success code

### do_RSET(self)

Unset all deleted message flags

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

Class Variable Details

### magic

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:02 2003 | http://epydoc.sf.net